Package com.independentsoft.office.spreadsheet.extensions

# Class AlternateContent

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.AlternateContent

public class AlternateContent extends Object
Represents a markup compatibility block (`mc:AlternateContent` element) of a SpreadsheetML part.

This is the SpreadsheetML extension model. It is separate from `AlternateContent`, which models the shared markup compatibility block of the other Office parts.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`
  The markup compatibility namespace.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlternateContent()`
  Instantiates a new alternate content.
  `AlternateContent​(InternalXMLStreamReader reader, ExtensionContentFactory factory)`
  Instantiates a new alternate content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AlternateContent`
  `clone()`
  `List<AlternateContentChoice>`
  `getChoices()`
  Gets the markup compatibility choices.
  `String`
  `getFallbackXml()`
  Gets the fallback content (`mc:Fallback` element) as a raw XML fragment.
  `void`
  `setFallbackXml​(String fallbackXml)`
  Sets the fallback content (`mc:Fallback` element) as a raw XML fragment.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    The markup compatibility namespace.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AlternateContent

    public AlternateContent()
    Instantiates a new alternate content.

  - ### AlternateContent

    public AlternateContent​(InternalXMLStreamReader reader, ExtensionContentFactory factory) throws XMLStreamException
    Instantiates a new alternate content.

    Enters positioned ON the `mc:AlternateContent` start element and leaves positioned ON its end element, so the caller's loop advances past it.

    Parameters:
      `reader` - the reader
      `factory` - the content factory mapping choice child elements to typed models, or null to preserve every child as raw XML
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public AlternateContent clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChoices

    public List<AlternateContentChoice> getChoices()
    Gets the markup compatibility choices.
    Returns:
      the choices

  - ### getFallbackXml

    public String getFallbackXml()
    Gets the fallback content (`mc:Fallback` element) as a raw XML fragment.
    Returns:
      the fallback XML

  - ### setFallbackXml

    public void setFallbackXml​(String fallbackXml)
    Sets the fallback content (`mc:Fallback` element) as a raw XML fragment.
    Parameters:
      `fallbackXml` - the new fallback XML